package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.blobmasking.TCoreBlobMaskingTask;
import com.chenyang.nse.bussiness.entity.param.blobmasking.TCoreBlobMaskingTaskCond;
import com.chenyang.nse.bussiness.entity.vo.ResultVO;
import com.chenyang.nse.bussiness.entity.vo.blobmasking.TCoreBlobMaskingTaskVO;
import java.util.List;

public interface BlobMaskingTaskService {
   List<TCoreBlobMaskingTask> queryTask(String taskname, PageInfo pageInfo);

   List<TCoreBlobMaskingTask> queryBlobMaskingTaskByTaskName(String taskname);

   ResultVO saveBlobMaskingTask(TCoreBlobMaskingTaskCond tcbmtc);

   void removeTask(String taskid);

   TCoreBlobMaskingTask queryBlobMaskingTaskByID(String taskid);

   TCoreBlobMaskingTaskVO queryBlobMaskingTaskVOByID(String taskid);

   void setExecutionState(String taskid);

   ResultVO execMaskingTask(String taskid);
}
